/****************************************************************************
** Form implementation generated from reading ui file '.\symlinkdialogbase.ui'
**
** Created: Sat 13. Jul 22:10:04 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "symlinkdialogbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "symlinkdialogbase.ui.h"

/* 
 *  Constructs a SymLinkDialogBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SymLinkDialogBase::SymLinkDialogBase( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SymLinkDialogBase" );
    resize( 253, 235 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setCaption( trUtf8( "SymLink v1.02 (13th July 2002)" ) );
    setAcceptDrops( TRUE );
    setSizeGripEnabled( TRUE );
    SymLinkDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "SymLinkDialogBaseLayout"); 

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setMaximumSize( QSize( 32767, 20 ) );
    TextLabel1->setText( trUtf8( "Destination for symbolic links (can drag into this):" ) );

    SymLinkDialogBaseLayout->addMultiCellWidget( TextLabel1, 0, 0, 0, 1 );

    DestPathBrowse = new QPushButton( this, "DestPathBrowse" );
    DestPathBrowse->setText( trUtf8( "Browse" ) );
    QWhatsThis::add( DestPathBrowse, trUtf8( "Press to browse for the directory you want" ) );

    SymLinkDialogBaseLayout->addWidget( DestPathBrowse, 1, 1 );

    DestPath = new QLineEdit( this, "DestPath" );
    DestPath->setFrameShape( QLineEdit::LineEditPanel );
    DestPath->setFrameShadow( QLineEdit::Sunken );
    QWhatsThis::add( DestPath, trUtf8( "The path where you shall create the links. You can drag from Explorer into this" ) );

    SymLinkDialogBaseLayout->addWidget( DestPath, 1, 0 );

    TextLabel2 = new QLabel( this, "TextLabel2" );
    QFont TextLabel2_font(  TextLabel2->font() );
    TextLabel2_font.setFamily( "Arial" );
    TextLabel2_font.setPointSize( 10 );
    TextLabel2->setFont( TextLabel2_font ); 
    TextLabel2->setText( trUtf8( "Drag anything onto this window to have links created to those items in your chosen directory above" ) );
    TextLabel2->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );

    SymLinkDialogBaseLayout->addMultiCellWidget( TextLabel2, 2, 2, 0, 1 );

    DeleteDrop = new QLabel( this, "DeleteDrop" );
    DeleteDrop->setPaletteForegroundColor( QColor( 255, 255, 255 ) );
    DeleteDrop->setPaletteBackgroundColor( QColor( 255, 0, 0 ) );
    QFont DeleteDrop_font(  DeleteDrop->font() );
    DeleteDrop_font.setFamily( "Arial" );
    DeleteDrop_font.setPointSize( 10 );
    DeleteDrop->setFont( DeleteDrop_font ); 
    DeleteDrop->setAcceptDrops( TRUE );
    DeleteDrop->setFrameShape( QLabel::Box );
    DeleteDrop->setFrameShadow( QLabel::Raised );
    DeleteDrop->setLineWidth( 2 );
    DeleteDrop->setText( trUtf8( "Drag a symbolic link onto this to unlink and delete it" ) );
    DeleteDrop->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );
    QToolTip::add( DeleteDrop, trUtf8( "" ) );
    QWhatsThis::add( DeleteDrop, trUtf8( "You can drag a previously created link onto this to delete it. Normally you can delete the link from within Explorer, but that won't work for volume mounts so you'll need to use this method" ) );

    SymLinkDialogBaseLayout->addMultiCellWidget( DeleteDrop, 3, 3, 0, 1 );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );
    TextLabel1_2->setMaximumSize( QSize( 32767, 20 ) );
    TextLabel1_2->setText( trUtf8( "This program is under the GNU Public Licence" ) );
    TextLabel1_2->setAlignment( int( QLabel::AlignCenter ) );

    SymLinkDialogBaseLayout->addMultiCellWidget( TextLabel1_2, 4, 4, 0, 1 );

    TextLabel3 = new QLabel( this, "TextLabel3" );
    TextLabel3->setMaximumSize( QSize( 32767, 20 ) );
    TextLabel3->setText( trUtf8( "(C) 2002 Niall Douglas" ) );
    TextLabel3->setAlignment( int( QLabel::AlignCenter ) );
    QToolTip::add( TextLabel3, trUtf8( "Hope you find this tool useful!" ) );

    SymLinkDialogBaseLayout->addMultiCellWidget( TextLabel3, 5, 5, 0, 1 );

    OpenHelp = new QPushButton( this, "OpenHelp" );
    OpenHelp->setText( trUtf8( "Help" ) );
    QWhatsThis::add( OpenHelp, trUtf8( "Press this to view the help manual" ) );

    SymLinkDialogBaseLayout->addWidget( OpenHelp, 6, 1 );

    GoToHomePage = new QPushButton( this, "GoToHomePage" );
    GoToHomePage->setText( trUtf8( "Go to homepage" ) );
    QToolTip::add( GoToHomePage, trUtf8( "http://www.nedprod.com/programs/Win32/SymLink/" ) );
    QWhatsThis::add( GoToHomePage, trUtf8( "Pretty obvious isn't it?" ) );

    SymLinkDialogBaseLayout->addWidget( GoToHomePage, 6, 0 );

    // signals and slots connections
    connect( DestPathBrowse, SIGNAL( clicked() ), this, SLOT( pathBrowse() ) );
    connect( OpenHelp, SIGNAL( clicked() ), this, SLOT( openHelp() ) );
    connect( GoToHomePage, SIGNAL( clicked() ), this, SLOT( openHomepage() ) );

    // tab order
    setTabOrder( DestPath, DestPathBrowse );
    setTabOrder( DestPathBrowse, OpenHelp );
    setTabOrder( OpenHelp, GoToHomePage );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
SymLinkDialogBase::~SymLinkDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

